package ui.view;

import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.Font;
import java.awt.Dimension;
import java.awt.Color;

public class FlexibleData extends JPanel {
	private JLabel name_lbl;
	private JLabel lblProdVal;
	private JLabel lblConsVal;
	private JLabel lblProdConsVal;
	public FlexibleData(String name, float prod, float cons) {
		setPreferredSize(new Dimension(614, 100));
		setMinimumSize(new Dimension(600, 150));
		setLayout(null);
		
		name_lbl = new JLabel();
		name_lbl.setFont(new Font("Tahoma", Font.PLAIN, 13));
		name_lbl.setBounds(10, 11, 125, 27);
		setlblName(name);
		add(name_lbl);
		
		JLabel lblFlProd = new JLabel("Flex. Prod.:");
		lblFlProd.setForeground(new Color(0, 128, 0));
		lblFlProd.setBounds(31, 46, 85, 27);
		add(lblFlProd);
		
		JLabel lblFlexCons = new JLabel("Flex. Cons.:\r\n");
		lblFlexCons.setForeground(new Color(255, 0, 0));
		lblFlexCons.setBounds(160, 46, 85, 27);
		add(lblFlexCons);
		
		JLabel lblProdCons = new JLabel("Prod./Cons.:");
		lblProdCons.setForeground(new Color(218, 165, 32));
		lblProdCons.setBounds(300, 46, 85, 27);
		add(lblProdCons);
		
		lblProdVal = new JLabel();
		setProd(prod);
		lblProdVal.setBounds(106, 47, 72, 24);
		add(lblProdVal);
		
		lblConsVal = new JLabel();
		setCons(cons);
		lblConsVal.setBounds(240, 47, 72, 24);
		add(lblConsVal);
		
		lblProdConsVal = new JLabel();
		if(cons != 0 && prod != 0){
		lblProdConsVal.setText(Float.toString((prod/cons)*(-1)));
		}else if(prod == 0 && cons == 0){
			lblProdConsVal.setText("neither producing nor consuming...");
		}else if(prod == 0){
			lblProdConsVal.setText("only consuming...");
		}else if(cons == 0){
			lblProdConsVal.setText("only producing...");
		}
		lblProdConsVal.setBounds(380, 46, 240, 24);
		add(lblProdConsVal);
	}
	
	public void setProd(float p){
		lblProdVal.setText(Float.toString(p));
	}
	
	public void setCons(float c){
		lblConsVal.setText(Float.toString(c));
	}
	
	public void setProdConsVal(float prod, float cons){
		if(cons != 0 && prod != 0){
		lblProdConsVal.setText(Float.toString((prod/cons)*(-1)));
		}else if(prod == 0 && cons == 0){
			lblProdConsVal.setText("neither producing nor consuming...");
		}else if(prod == 0){
			lblProdConsVal.setText("only consuming...");
		}else if(cons == 0){
			lblProdConsVal.setText("only producing...");
		}
	}
	
	public void setlblName(String name){
		name_lbl.setText(name);
	}

}
